> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a board

> Update one board. Only the fields sent are changed. Removing a column from
`options.possibleLanes` moves its tickets to the Open column (or the first remaining one).



## OpenAPI

````yaml https://api.gleap.io/api-docs.json put /ticket-types/{type}
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /ticket-types/{type}:
    put:
      tags:
        - Ticket types
      summary: Update a board
      description: >-
        Update one board. Only the fields sent are changed. Removing a column
        from

        `options.possibleLanes` moves its tickets to the Open column (or the
        first remaining one).
      operationId: UpdateTicketType
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
        - in: path
          name: type
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTicketTypeDTO'
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema: {}
      security:
        - jwt: []
components:
  schemas:
    UpdateTicketTypeDTO:
      description: >-
        Partial board update — only the fields sent change; `null` clears a
        field

        (e.g. back to the default email template). `type` and `project` are

        immutable and never accepted.
      properties:
        name:
          type: string
        menuName:
          type: string
          nullable: true
        path:
          type: string
        icon:
          type: string
          nullable: true
        selectable:
          type: boolean
          nullable: true
        options: {}
        restrictedToUsers:
          items:
            type: string
          type: array
          nullable: true
        receievedEmailTitle: {}
        receievedEmailDescription: {}
        feedbackReceivedEmailTemplate: {}
        emailReplyTemplate: {}
      type: object
      additionalProperties: false
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.